Page 1 of 1

iGigBook Version 2.0

Posted: Wed Dec 18, 2013 11:18 am
by SiteAdmin
This version of iGigBook requires iOS version 6.0 or greater which means you will need an iPad 2 or greater.

Bug fixes.